## kadu 0.9.2

=== CMakeLists.txt ===
project (kadu)

# minimal required versions
set (QT_MIN_VERSION "4.6.0")
set (CMAKE_MIN_VERSION "2.6.0")

# configuration
option (ENABLE_AUTODOWNLOAD "Use automatic download of modules/icons/emoticons" ON)
option (ENABLE_DEVELOPER_BUILD "Turn on some features helpful during development process (does not necessarily turn on debug symbols in binaries)" OFF)
option (SIG_HANDLING_ENABLED "Define if you want system signals handling" ON)
option (USE_X11_XFIXES "Use X11 Xfixes extension (Desktop Linux)" ON)

if (NOT BUILD_DESCRIPTION)
	set (BUILD_DESCRIPTION "Compiled from sources" CACHE STRING "Build description" FORCE)
endif (NOT BUILD_DESCRIPTION)

if (NOT CMAKE_BUILD_TYPE)
	set (CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo." FORCE)
endif (NOT CMAKE_BUILD_TYPE)

string (REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
string (REPLACE "-O3" "-O2" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")

# build version string if cmake < 2.6.3
if (NOT DEFINED CMAKE_VERSION)
	set (CMAKE_VERSION "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")
endif (NOT DEFINED CMAKE_VERSION)

cmake_minimum_required (VERSION ${CMAKE_MIN_VERSION} FATAL_ERROR)

if (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)

	if (${CMAKE_VERSION} VERSION_GREATER 2.8.0)
		cmake_policy (SET CMP0015 OLD)
	endif (${CMAKE_VERSION} VERSION_GREATER 2.8.0)
endif (COMMAND cmake_policy)

include (FindPkgConfig)
include (CheckIncludeFiles)
include (CheckFunctionExists)

if (NOT KADU_VERSION)
	find_program (GIT_EXECUTABLE git DOC "git command line client")
	if (GIT_EXECUTABLE)
		execute_process (COMMAND ${GIT_EXECUTABLE} describe --tags HEAD
			WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
			OUTPUT_VARIABLE KADU_VERSION
			OUTPUT_STRIP_TRAILING_WHITESPACE
		)
	endif (GIT_EXECUTABLE)

	if (NOT KADU_VERSION)
		file (READ ${CMAKE_CURRENT_SOURCE_DIR}/VERSION KADU_VERSION)
		string (REPLACE "\n" "" KADU_VERSION ${KADU_VERSION})
	endif (NOT KADU_VERSION)
endif (NOT KADU_VERSION)

if (WIN32)
	# Add more version info to files
	string (REGEX REPLACE "(.+)\\.(.+)\\.(.+)[.-].*" "\\1, \\2, \\3, 0" NUMERIC_VERSION ${KADU_VERSION})
	set (PACKAGE_VERSION ${KADU_VERSION})

	# package
	set (CPACK_GENERATOR "ZIP")
	set (CPACK_PACKAGE_VERSION ${PACKAGE_VERSION})
	include (CPack)
endif (WIN32)

if (NOT WIN32)
	# TODO: Add libexecinfo support
	check_include_files ("execinfo.h" HAVE_EXECINFO)
	if (HAVE_EXECINFO)
		check_function_exists ("backtrace" HAVE_EXECINFO)
	endif (HAVE_EXECINFO)

	if (SIG_HANDLING_ENABLED)
		set (SIG_HANDLING_ENABLED 1)
	endif (SIG_HANDLING_ENABLED)
endif (NOT WIN32)

if (CMAKE_BUILD_TYPE STREQUAL "Debug" OR WIN32)
	add_definitions (-DDEBUG_ENABLED)

	set (DEBUG_ENABLED 1)
endif (CMAKE_BUILD_TYPE STREQUAL "Debug" OR WIN32)

if (ENABLE_DEVELOPER_BUILD OR DEBUG_ENABLED EQUAL 1)
	set (DEBUG 1)
endif (ENABLE_DEVELOPER_BUILD OR DEBUG_ENABLED EQUAL 1)

if (MSVC)
	add_definitions (/D_CRT_SECURE_NO_WARNINGS=1)
endif (MSVC)

if (MINGW)
	# override cmake bug/feature?
	set (CMAKE_SHARED_LIBRARY_PREFIX "")
endif (MINGW)

# warnings
if (UNIX AND NOT APPLE)
	if (ENABLE_DEVELOPER_BUILD)
		set (CMAKE_C_FLAGS "-Werror ${CMAKE_C_FLAGS}")
		set (CMAKE_CXX_FLAGS "-Werror ${CMAKE_CXX_FLAGS}")
	endif (ENABLE_DEVELOPER_BUILD)

	set (CMAKE_C_FLAGS "-W -Wall ${CMAKE_C_FLAGS}")
	set (CMAKE_CXX_FLAGS "-W -Wall ${CMAKE_CXX_FLAGS}")
elseif (APPLE)
	set (CMAKE_C_FLAGS "-W -Wall ${CMAKE_C_FLAGS}")
	set (CMAKE_CXX_FLAGS "-W -Wall ${CMAKE_CXX_FLAGS}")
elseif (MINGW)
	set (CMAKE_C_FLAGS "-ffast-math -mtune=i686")
	set (CMAKE_CXX_FLAGS "-ffast-math -mtune=i686")
endif (UNIX AND NOT APPLE)

if (NOT KADU_DATADIR)
	set (KADU_DATADIR ${CMAKE_INSTALL_PREFIX}/share)
endif (NOT KADU_DATADIR)
if (NOT KADU_LIBDIR)
	set (KADU_LIBDIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
endif (NOT KADU_LIBDIR)
if (NOT KADU_BINDIR)
	set (KADU_BINDIR ${CMAKE_INSTALL_PREFIX}/bin)
endif (NOT KADU_BINDIR)

if (WIN32)
	set (KADU_DATA_DIR ".")
	set (KADU_MODULES_LIBDIR "modules")
	set (KADU_BIN_DIR ".")
else (WIN32)
	set (KADU_DATA_DIR "share/kadu")
	set (KADU_MODULES_LIBDIR lib${LIB_SUFFIX}/kadu/modules)
	set (KADU_BIN_DIR "bin")
endif (WIN32)

set (KADU_MODULES_DIR ${KADU_DATA_DIR}/modules)

# macros
macro (kadu_configuration)
	install (FILES ${ARGN}
		DESTINATION ${KADU_DATA_DIR}/configuration
	)
endmacro (kadu_configuration)

macro (kadu_module_configuration)
	install (FILES ${ARGN}
		DESTINATION ${KADU_MODULES_DIR}/configuration
	)
endmacro (kadu_module_configuration)

macro (kadu_module_desc MODULE_DESC)
	install (FILES ${ARGN}
		DESTINATION ${KADU_MODULES_DIR}
	)
endmacro (kadu_module_desc)

macro (kadu_module)
	set (VARIABLE_NAME "MODULE_NAME")

	set (MODULE_NAME "")
	set (MODULE_SOURCES "")
	set (MODULE_MOC_SOURCES "")
	set (MODULE_TRANSLATION_SOURCES "")
	set (MODULE_CONFIGURATION_FILES "")
	set (MODULE_DATA_FILES "")
	set (MODULE_DATA_DIRECTORY "")
	set (MODULE_BUILDDEF "")
	set (MODULE_DEPENDENCIES "")
	set (MODULE_LIBRARIES "")

	include_directories (".")

	foreach (ARG ${ARGV})
		if ("${VARIABLE_NAME}" STREQUAL "MODULE_NAME")
			set (MODULE_NAME ${ARG})
			set (VARIABLE_NAME "")
		elseif (ARG MATCHES "(MODULE_SOURCES|MODULE_MOC_SOURCES|MODULE_TRANSLATION_SOURCES|MODULE_CONFIGURATION_FILES|MODULE_DATA_FILES|MODULE_DATA_DIRECTORY|MODULE_BUILDDEF|MODULE_DEPENDENCIES|MODULE_LIBRARIES)")
			set (VARIABLE_NAME ${ARG})
		elseif (VARIABLE_NAME STREQUAL "")
			message (FATAL_ERROR "Invalid invocation of kadu_module macro")
		else ("${VARIABLE_NAME}" STREQUAL "MODULE_NAME")
			set (${VARIABLE_NAME} "${${VARIABLE_NAME}};${ARG}")
		endif ("${VARIABLE_NAME}" STREQUAL "MODULE_NAME")
	endforeach (ARG)

	if (WIN32)
		include_directories (${CMAKE_SOURCE_DIR}/modules)

		# opisy .desc sa w iso-8859-2
		set (CMAKE_RC_FLAGS "-c 28592")
		# wygeneruj plik z wersja modulu
		if (${${MODULE_NAME}} STREQUAL SHARED)
			set (MODULE_SOURCES ${MODULE_SOURCES} ${MODULE_NAME}.rc)
			add_custom_command (OUTPUT ${MODULE_NAME}.rc
				COMMAND ${CMAKE_SOURCE_DIR}/modules/modver.bat ARGS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE_NAME}.desc ${MODULE_NAME}.rc
				WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
				DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE_NAME}.desc
				COMMENT "Building RC source ${MODULE_NAME}.rc"
			)
		endif (${${MODULE_NAME}} STREQUAL SHARED)

		# naglowki do SDK
		install (DIRECTORY "." DESTINATION ${KADU_DATA_DIR}/kadu-sdk/include/kadu-modules/${MODULE_NAME} FILES_MATCHING PATTERN "*.h" PATTERN ".svn" EXCLUDE)
	endif (WIN32)

	install (FILES ${MODULE_NAME}.desc
		DESTINATION ${KADU_MODULES_DIR}
	)

	if (MODULE_MOC_SOURCES)
		qt_wrap_cpp (${MODULE_NAME} MODULE_MOC_FILES ${MODULE_MOC_SOURCES})
	endif (MODULE_MOC_SOURCES)

	if (MODULE_TRANSLATION_SOURCES)
		qt4_add_translation (MODULE_TRANSLATION_FILES ${MODULE_TRANSLATION_SOURCES})
	endif (MODULE_TRANSLATION_SOURCES)

	kadu_module_configuration (${MODULE_CONFIGURATION_FILES})

	install (FILES ${MODULE_TRANSLATION_FILES}
		DESTINATION ${KADU_MODULES_DIR}/translations
	)

	if (NOT "${MODULE_DATA_FILES}" STREQUAL "")
		install (FILES ${MODULE_DATA_FILES}
			DESTINATION ${KADU_MODULES_DIR}/data/${MODULE_NAME}
		)
	endif (NOT "${MODULE_DATA_FILES}" STREQUAL "")

	if (NOT "${MODULE_DATA_DIRECTORY}" STREQUAL "")
		install (DIRECTORY ${MODULE_DATA_DIRECTORY}
			DESTINATION ${KADU_MODULES_DIR}/data/${MODULE_NAME}
		)
	endif (NOT "${MODULE_DATA_DIRECTORY}" STREQUAL "")

	add_library (${MODULE_NAME} ${${MODULE_NAME}} ${MODULE_SOURCES} ${MODULE_MOC_FILES})
	add_custom_target (${MODULE_NAME}-translations DEPENDS ${MODULE_TRANSLATION_FILES})

	add_dependencies (${MODULE_NAME} ${MODULE_NAME}-translations)

	if (NOT ${MODULE_BUILDDEF} STREQUAL "")
		set_target_properties (${MODULE_NAME} PROPERTIES COMPILE_DEFINITIONS ${MODULE_BUILDDEF})
	endif (NOT ${MODULE_BUILDDEF} STREQUAL "")

	if (NOT "${MODULE_LIBRARIES}" STREQUAL "")
		target_link_libraries (${MODULE_NAME} ${MODULE_LIBRARIES})
	endif (NOT "${MODULE_LIBRARIES}" STREQUAL "")

	if (${${MODULE_NAME}} STREQUAL STATIC)
		set_target_properties (${MODULE_NAME} PROPERTIES COMPILE_FLAGS "-DKADULIB")
	else (${${MODULE_NAME}} STREQUAL STATIC)
		if (WIN32)
			target_link_libraries (${MODULE_NAME} kadu_core ${MODULE_DEPENDENCIES} ${QT_LIBRARIES})
			install (TARGETS ${MODULE_NAME} ARCHIVE DESTINATION ${KADU_DATA_DIR}/kadu-sdk/lib)
		endif (WIN32)
		if (APPLE)
			set_target_properties (${MODULE_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
		endif (APPLE)
		install (TARGETS ${MODULE_NAME} RUNTIME DESTINATION ${KADU_MODULES_LIBDIR} LIBRARY DESTINATION ${KADU_MODULES_LIBDIR})
	endif (${${MODULE_NAME}} STREQUAL STATIC)
endmacro (kadu_module)

# libraries
find_package (Qt4 REQUIRED)
set (QT_USE_QTXML 1)
set (QT_USE_QTNETWORK 1)
set (QT_USE_QTWEBKIT 1)
set (QT_USE_QTSVG 1)
if (UNIX AND NOT APPLE)
	set (QT_USE_QTDBUS 1)
endif (UNIX AND NOT APPLE)
include (${QT_USE_FILE})
include_directories (${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/kadu-core ${QT_INCLUDES})

# build
configure_file (${CMAKE_SOURCE_DIR}/kadu-config.h.cmake ${CMAKE_BINARY_DIR}/kadu-config.h)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_subdirectory (modules)
add_subdirectory (kadu-core)
add_subdirectory (varia)
add_subdirectory (translations)
add_subdirectory (kthxbye)

message (STATUS "Kadu (version: ${KADU_VERSION}) will be build:")
message (STATUS " * install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS " * build type: ${CMAKE_BUILD_TYPE}")

# install data files
install (FILES AUTHORS HISTORY README THANKS ChangeLog ChangeLog.OLD-PL COPYING DESTINATION ${KADU_DATA_DIR})

=== panelkadu/CMakeLists.txt ===
set( SOURCES
	panelkadu.cpp
)

set( MOC_SOURCES
	panelkadu.h
)

set( TRANSLATION_SOURCES
	translations/panelkadu_pl.ts
)

set( CONFIGURATION_FILES
	configuration/panelkadu.ui
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-aliasing" )

kadu_module( panelkadu
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

=== translations/CMakeLists.txt ===
set (TRANSLATION_SOURCES
	kadu_en.ts
	kadu_cs.ts
	kadu_de.ts
	kadu_fr.ts
	kadu_it.ts
	kadu_pl.ts
)

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

add_custom_target (translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (kadu translations)

install (FILES ${TRANSLATION_FILES}
	DESTINATION ${KADU_DATA_DIR}/translations
)

=== mime_tex/mimetex/CMakeLists.txt ===
set (SOURCES
	mimetex.c
	gifsave.c
)
add_definitions(-DAA)

# Original mimetex has a lot of compilation warnings. We have to remove
# -Werror to let it build even though there are warnings.
STRING(REPLACE "-Werror" "" CMAKE_C_FLAGS ${CMAKE_C_FLAGS})

add_executable(mimetex ${SOURCES})
target_link_libraries(mimetex m)
install (TARGETS mimetex DESTINATION lib${LIB_SUFFIX}/kadu/modules/bin/mime_tex)

=== modules/advanced_userlist/CMakeLists.txt ===
set (SOURCES
	advanced_userlist.cpp
	main.cpp
)

set (MOC_SOURCES
	advanced_userlist.h
)

set (TRANSLATION_SOURCES
	translations/advanced_userlist_en.ts
	translations/advanced_userlist_de.ts
	translations/advanced_userlist_fr.ts
	translations/advanced_userlist_it.ts
	translations/advanced_userlist_pl.ts
)

set (CONFIGURATION_FILES
	configuration/advanced_userlist.ui
)

kadu_module (advanced_userlist
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

=== modules/alsa_sound/CMakeLists.txt ===
set (SOURCES
	alsa-device.cpp
	alsa-module.cpp
	alsa-player.cpp
)

set (MOC_SOURCES
	alsa-player.h
)

set (TRANSLATION_SOURCES
	translations/alsa_sound_en.ts
	translations/alsa_sound_de.ts
	translations/alsa_sound_fr.ts
	translations/alsa_sound_it.ts
	translations/alsa_sound_pl.ts
)

set (CONFIGURATION_FILES
	configuration/alsa_sound.ui
)

kadu_module (alsa_sound
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

pkg_search_module (ALSA REQUIRED alsa)

target_link_libraries (alsa_sound ${ALSA_LIBRARIES})
include_directories (${ALSA_INCLUDE_DIRS})

=== modules/amarok2_mediaplayer/CMakeLists.txt ===
set (SOURCES
	amarok2.cpp
)

set (MOC_SOURCES
)

kadu_module (amarok2_mediaplayer
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_LIBRARIES ${QT_QTDBUS_LIBRARY}
)

=== modules/antistring/CMakeLists.txt ===
set (SOURCES
	antistring.cpp
	antistring-configuration.cpp
	antistring-configuration-ui-handler.cpp
	antistring-module.cpp
	antistring-notification.cpp
)

set (MOC_SOURCES
	antistring.h
	antistring-configuration-ui-handler.h
	antistring-notification.h
)

set (TRANSLATION_SOURCES
	translations/antistring_en.ts
	translations/antistring_de.ts
	translations/antistring_fr.ts
	translations/antistring_it.ts
	translations/antistring_pl.ts
)

set (CONFIGURATION_FILES
	configuration/antistring.ui
)

set (DATA_FILES
	data/ant_conditions.conf
)

kadu_module (antistring
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

install (FILES ${DATA_FILES}
	DESTINATION share/kadu/modules/data/antistring
)

=== modules/ao_sound/CMakeLists.txt ===
set (SOURCES
	ao-module.cpp
	ao-player.cpp
)

set (MOC_SOURCES
	ao-player.h
)

if (WIN32)
	include_directories (${CMAKE_CURRENT_SOURCE_DIR})
	set (SOURCES ${SOURCES} ../module.rc)
endif (WIN32)

kadu_module (ao_sound
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

pkg_search_module (AO REQUIRED ao)
include_directories (${AO_INCLUDE_DIRS})
link_directories (${AO_LIBRARY_DIRS})

target_link_libraries (ao_sound ${AO_LIBRARIES})

=== modules/audacious_mediaplayer/CMakeLists.txt ===
set (SOURCES
	audacious.cpp
)

set (MOC_SOURCES
	audacious.h
)

kadu_module (audacious_mediaplayer
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_LIBRARIES ${QT_QTDBUS_LIBRARY}
)

=== modules/auto_hide/CMakeLists.txt ===
set (SOURCES
	auto_hide.cpp
)

set (MOC_SOURCES
	auto_hide.h
)

set (TRANSLATION_SOURCES
	translations/auto_hide_en.ts
	translations/auto_hide_de.ts
	translations/auto_hide_fr.ts
	translations/auto_hide_it.ts
	translations/auto_hide_pl.ts
)

set (CONFIGURATION_FILES
	configuration/auto_hide.ui
)

kadu_module (auto_hide
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	MODULE_DEPENDENCIES idle
)

=== modules/autoaway/CMakeLists.txt ===
set (SOURCES
	autoaway.cpp
	autoaway-status-changer.cpp
)

set (MOC_SOURCES
	autoaway.h
	autoaway-status-changer.h
)

set (TRANSLATION_SOURCES
	translations/autoaway_en.ts
	translations/autoaway_de.ts
	translations/autoaway_fr.ts
	translations/autoaway_it.ts
	translations/autoaway_pl.ts
)

set (CONFIGURATION_FILES
	configuration/autoaway.ui
)

kadu_module (autoaway
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	MODULE_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	MODULE_DEPENDENCIES idle
)

=== debian/changelog ===
kadu (0.9.2-2) unstable; urgency=low

  * Rebuild to link against libgadu3 version 1.11.0-2 or newer needed
    (Closes: #637172)
  * Upstream fixed build error when using gcc 4.6.1 (Closes: #634396)
  * Changed build dependency from libasound-dev to libasound2-dev
    (Closes: #637138, #635305)

 -- Patryk Cisek <patryk@debian.org>  Tue, 09 Aug 2011 09:53:46 +0200

kadu (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Updated debian/patches/02-.config.patch to make it fit 0.9.2
  * Updated debian/patches/01-no_autodownload.patch to make it fit 0.9.2
  * Removed server_monitor module's files from *.install -- module's been
    removed upstream.

 -- Patryk Cisek <patryk@debian.org>  Fri, 01 Jul 2011 15:55:45 +0200

kadu (0.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/kadu.desktop: Kadu now supports XMPP as well as Gadu-Gadu

 -- Patryk Cisek <patryk@debian.org>  Mon, 11 Apr 2011 13:16:43 +0200

=== debian/control ===
Source: kadu
Section: net
Priority: optional
Maintainer: Patryk Cisek <patryk@debian.org>
Vcs-Git: git://git.debian.org/users/patryk/kadu.git
Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
Build-Depends: bzip2,
               cmake (>=2.6),
               debhelper (>= 7),
               libao-dev,
               libasound2-dev,
               libaspell-dev,
               libaudio-dev,
               libdbus-1-dev,
               libgadu-dev,
               libidn11-dev,
               libmpdclient-dev,
               libphonon-dev,
               libqca2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsndfile1-dev (>= 1.0),
               libxfixes-dev,
               libxss-dev,
               libxtst-dev,
               patchutils (>= 0.2.25),
               sharutils,
               x11proto-scrnsaver-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://kadu.net

Package: kadu
Architecture: any
Depends: kadu-common (= ${source:Version}),
         libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kadu-external-modules
Conflicts: kadu-external-modules (<= 0.6.5.4.ds1-3)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides Kadu along with plugins developed by Kadu developers.

Package: kadu-common
Architecture: all
Depends: libjs-mootools, ${misc:Depends}, ${shlibs:Depends}
Recommends: kadu-external-modules
Conflicts: kadu-external-modules (<= 0.6.5.4.ds1-3)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides data common for all architectures.

Package: kadu-external-modules
Architecture: any
Depends: kadu (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Additional plugins for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional packages developed by external developers.
 See README.Debian for more details.

Package: kadu-themes
Architecture: all
Depends: ${misc:Depends}
Recommends: kadu (>= 0.5.0-1)
Description: Additional icons and emoticons for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional icons, sounds and emoticons themes for
 Kadu.
